[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.CMWantSpecialKey

Handles the CM_WANTSPECIALKEY control message for the control.

## Declaration

Source position: stdctrls.pp line 357

`protected procedure TCustomComboBox.CMWantSpecialKey(`
`var Message: TCMWantSpecialKey`
`); message;`

## Arguments

`Message` |  | Message handled in the method.

## Description

For the Darwin (macOS) platform, cursor keys (VK_LEFT, VK_RIGHT, VK_UP, VK_DOWN) in Message are marked as handled for edit controls.

The inherited method is called (for all platforms) prior to exiting from the method.